> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Policies

> Lists all policies for a wallet.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /policies
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /policies:
    get:
      tags:
        - Policies
      summary: List Policies
      description: Lists all policies for a wallet.
      operationId: policies_list
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
        - name: wallet_address
          in: query
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Policy'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    Policy:
      title: Policy
      type: object
      properties:
        uuid:
          type: string
        project_id:
          type: string
        network:
          $ref: '#/components/schemas/Network'
        name:
          type: string
          nullable: true
        wallet_address:
          type: string
        argument_rules:
          type: array
          items:
            $ref: '#/components/schemas/ArgumentRule'
        expires_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - uuid
        - project_id
        - network
        - wallet_address
        - argument_rules
        - created_at
        - updated_at
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
    ArgumentRule:
      title: ArgumentRule
      type: object
      properties:
        argument:
          type: string
          description: >-
            The name of the argument that the rule applies to. e.g.
            decodedInput.function, decodedInput.to
        operator:
          $ref: '#/components/schemas/Operator'
        value:
          type: string
          description: the value to compare the argument to. e.g. "transfer", "0x1234..."
      required:
        - argument
        - operator
        - value
    Operator:
      title: Operator
      type: string
      enum:
        - eq
        - ne
        - gt
        - ge
        - lt
        - le
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````